Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 602630 (CVE-2016-9912)

Summary: <app-emulation/qemu-2.8.0: display: virtio-gpu: memory leakage when destroying gpu resource (CVE-2016-9912)
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: qemu+disabled
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://lists.gnu.org/archive/html/qemu-devel/2016-11/msg05043.html
Whiteboard: B4 [glsa cve]
Package list:
Runtime testing required: ---
Bug Depends on: 601824, 604010    
Bug Blocks:    

Description Agostino Sarubbo gentoo-dev 2016-12-14 10:51:12 UTC
From ${URL} :

Quick Emulator(Qemu) built with the Virtio GPU Device emulator support is 
vulnerable to a memory leakage issue. It could occur while destroying gpu 
resource object in 'virtio_gpu_resource_destroy'

A guest user/process could use this flaw to leak host memory bytes, resulting 
in DoS for a host.

Upstream patch:
---------------
   -> https://lists.gnu.org/archive/html/qemu-devel/2016-11/msg05043.html



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 SpanKY gentoo-dev 2016-12-29 19:43:27 UTC
i've added it to our 2.8.0 ebuild
Comment 2 Thomas Deutschmann gentoo-dev 2017-01-01 19:13:58 UTC
Stabilization will be happen as part of bug 601824.
Comment 3 Thomas Deutschmann gentoo-dev 2017-01-21 22:42:01 UTC
Added to existing GLSA request.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-01-23 03:09:52 UTC
This issue was resolved and addressed in
 GLSA 201701-49 at https://security.gentoo.org/glsa/201701-49
by GLSA coordinator Aaron Bauman (b-man).